Skip to content

Get Article By ID

GET
/v1/articles/{companyId}/{brandId}/{articleId}
curl --request GET \
--url https://api.dev.caspeco.net/api/am/v1/articles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Returns the article with the given article ID

companyId
required
string format: uuid
brandId
required
string format: uuid
articleId
required
string format: uuid

Returns the article

object
articleId
required
string format: uuid
categoryId
required
string format: uuid
externalId
string
nullable
articleNumber
required
integer format: int64
categoryExternalId
string
nullable
name
required
string
nullable
description
required
string
nullable
customerFacingName
required
string
nullable
customerFacingDescription
required
string
nullable
publicationStatus
required
string
Allowed values: Draft Active Inactive
prices
required
object
priceSource
required
string
Allowed values: IncludingVat ExcludingVat
regular
required
object
inclVat
number format: double
nullable
exclVat
number format: double
nullable
takeAway
required
object
inclVat
number format: double
nullable
exclVat
number format: double
nullable
conference
required
object
inclVat
number format: double
nullable
exclVat
number format: double
nullable
images
required
object
imageIdOneByOneUrl
string
nullable
imageIdSixteenByNineUrl
string
nullable
attributes
required
object
color
object
name
required
string
hexValue
required
string
allowDiscount
boolean
nullable
allowPriceOverride
boolean
nullable
salesUnit
string
Allowed values: Piece Kg Liter Centiliter
keepStockBalance
boolean
nullable
isLoyaltyContributing
boolean
nullable
ageRestriction
integer format: int32
nullable
nonSale
boolean
nullable

Bad Request

object
statusCode
integer format: int32
message
string
validationErrors
Array<object>
nullable
object
field
required
string
errorId
required
string
entity
string
nullable

Unauthorized

Forbidden

Not Found

object
statusCode
integer format: int32
message
string
validationErrors
Array<object>
nullable
object
field
required
string
errorId
required
string
entity
string
nullable

Internal Server Error